// tcl wrapper for vtkGDALVectorReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGDALVectorReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkGDALVectorReaderNewCommand()
{
  vtkGDALVectorReader *temp = vtkGDALVectorReader::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGDALVectorReaderCppCommand(vtkGDALVectorReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkGDALVectorReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkGDALVectorReaderCppCommand(static_cast<vtkGDALVectorReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGDALVectorReader_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkGDALVectorReader"),vtkGDALVectorReaderNewCommand,vtkGDALVectorReaderCommand);
  return 0;
}

int VTKTCL_EXPORT vtkGDALVectorReaderCppCommand(vtkGDALVectorReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkGDALVectorReader",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkGDALVectorReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGDALVectorReader");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkGDALVectorReader  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGDALVectorReader");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkGDALVectorReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGDALVectorReader");
    return TCL_OK;
  }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfLayers",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfLayers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLayerType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetLayerType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFeatureCount",argv[1]))&&(argc == 3))
  {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetFeatureCount(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetActiveLayerType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetActiveLayerType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetActiveLayerFeatureCount",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetActiveLayerFeatureCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetActiveLayer",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetActiveLayer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetActiveLayer",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetActiveLayer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAppendFeatures",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAppendFeatures(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAppendFeatures",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAppendFeatures();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AppendFeaturesOn",argv[1]))&&(argc == 2))
  {
    op->AppendFeaturesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AppendFeaturesOff",argv[1]))&&(argc == 2))
  {
    op->AppendFeaturesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetLayerProjection",argv[1]))&&(argc == 3))
  {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetLayerProjection(temp0);
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  }
  if ((!strcmp("SetAddFeatureIds",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAddFeatureIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAddFeatureIds",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAddFeatureIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AddFeatureIdsOn",argv[1]))&&(argc == 2))
  {
    op->AddFeatureIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AddFeatureIdsOff",argv[1]))&&(argc == 2))
  {
    op->AddFeatureIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkGDALVectorReaderCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGDALVectorReader:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFileName\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfLayers\n",nullptr);
    Tcl_AppendResult(interp,"  GetLayerType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFeatureCount\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetActiveLayerType\n",nullptr);
    Tcl_AppendResult(interp,"  GetActiveLayerFeatureCount\n",nullptr);
    Tcl_AppendResult(interp,"  SetActiveLayer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetActiveLayer\n",nullptr);
    Tcl_AppendResult(interp,"  SetAppendFeatures\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAppendFeatures\n",nullptr);
    Tcl_AppendResult(interp,"  AppendFeaturesOn\n",nullptr);
    Tcl_AppendResult(interp,"  AppendFeaturesOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetLayerProjection\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetAddFeatureIds\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAddFeatureIds\n",nullptr);
    Tcl_AppendResult(interp,"  AddFeatureIdsOn\n",nullptr);
    Tcl_AppendResult(interp,"  AddFeatureIdsOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLayers" );
    Tcl_DStringAppendElement ( &dString, "GetLayerType" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureCount" );
    Tcl_DStringAppendElement ( &dString, "GetActiveLayerType" );
    Tcl_DStringAppendElement ( &dString, "GetActiveLayerFeatureCount" );
    Tcl_DStringAppendElement ( &dString, "SetActiveLayer" );
    Tcl_DStringAppendElement ( &dString, "GetActiveLayer" );
    Tcl_DStringAppendElement ( &dString, "SetAppendFeatures" );
    Tcl_DStringAppendElement ( &dString, "GetAppendFeatures" );
    Tcl_DStringAppendElement ( &dString, "AppendFeaturesOn" );
    Tcl_DStringAppendElement ( &dString, "AppendFeaturesOff" );
    Tcl_DStringAppendElement ( &dString, "GetLayerProjection" );
    Tcl_DStringAppendElement ( &dString, "SetAddFeatureIds" );
    Tcl_DStringAppendElement ( &dString, "GetAddFeatureIds" );
    Tcl_DStringAppendElement ( &dString, "AddFeatureIdsOn" );
    Tcl_DStringAppendElement ( &dString, "AddFeatureIdsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGDALVectorReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGDALVectorReader *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfLayers */
    if ( strcmp ( argv[2], "GetNumberOfLayers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLayers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLayers */
    Tcl_DStringAppendElement ( &dString, " Return number of layers.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLayers();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetNumberOfLayers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLayerType */
    if ( strcmp ( argv[2], "GetLayerType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayerType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayerType */
    Tcl_DStringAppendElement ( &dString, " Given a index return layer type (eg point, line, polygon).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLayerType(int layerIndex=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetLayerType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFeatureCount */
    if ( strcmp ( argv[2], "GetFeatureCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureCount */
    Tcl_DStringAppendElement ( &dString, " Given a layer index return number of features (shapes).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFeatureCount(int layerIndex=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetFeatureCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetActiveLayerType */
    if ( strcmp ( argv[2], "GetActiveLayerType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveLayerType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveLayerType */
    Tcl_DStringAppendElement ( &dString, " Return the active layer type (eg point, line, polygon).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveLayerType();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetActiveLayerType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetActiveLayerFeatureCount */
    if ( strcmp ( argv[2], "GetActiveLayerFeatureCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveLayerFeatureCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveLayerFeatureCount */
    Tcl_DStringAppendElement ( &dString, " Return the number of features in the active layer (shapes).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveLayerFeatureCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetActiveLayerFeatureCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetActiveLayer */
    if ( strcmp ( argv[2], "SetActiveLayer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveLayer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveLayer */
    Tcl_DStringAppendElement ( &dString, " Set and Get the active layer.\n If ActiveLayer is less than 0 (the default is -1), then all\n layers are read. Otherwise, only the specified layer is read.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetActiveLayer(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for SetActiveLayer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetActiveLayer */
    if ( strcmp ( argv[2], "GetActiveLayer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveLayer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveLayer */
    Tcl_DStringAppendElement ( &dString, " Set and Get the active layer.\n If ActiveLayer is less than 0 (the default is -1), then all\n layers are read. Otherwise, only the specified layer is read.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetActiveLayer();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetActiveLayer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAppendFeatures */
    if ( strcmp ( argv[2], "SetAppendFeatures" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAppendFeatures" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAppendFeatures */
    Tcl_DStringAppendElement ( &dString, " Set and Get whether features are appended to a single\n vtkPolyData. Turning the option on is useful when a shapefile has\n a number of features which could otherwise lead to a huge\n multiblock structure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAppendFeatures(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for SetAppendFeatures */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAppendFeatures */
    if ( strcmp ( argv[2], "GetAppendFeatures" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAppendFeatures" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAppendFeatures */
    Tcl_DStringAppendElement ( &dString, " Set and Get whether features are appended to a single\n vtkPolyData. Turning the option on is useful when a shapefile has\n a number of features which could otherwise lead to a huge\n multiblock structure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAppendFeatures();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetAppendFeatures */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AppendFeaturesOn */
    if ( strcmp ( argv[2], "AppendFeaturesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AppendFeaturesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AppendFeaturesOn */
    Tcl_DStringAppendElement ( &dString, " Set and Get whether features are appended to a single\n vtkPolyData. Turning the option on is useful when a shapefile has\n a number of features which could otherwise lead to a huge\n multiblock structure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AppendFeaturesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for AppendFeaturesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AppendFeaturesOff */
    if ( strcmp ( argv[2], "AppendFeaturesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AppendFeaturesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AppendFeaturesOff */
    Tcl_DStringAppendElement ( &dString, " Set and Get whether features are appended to a single\n vtkPolyData. Turning the option on is useful when a shapefile has\n a number of features which could otherwise lead to a huge\n multiblock structure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AppendFeaturesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for AppendFeaturesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLayerProjection */
    if ( strcmp ( argv[2], "GetLayerProjection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayerProjection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayerProjection */
    Tcl_DStringAppendElement ( &dString, " Return projection string belong to a layer.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLayerProjection(int layerIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetLayerProjection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAddFeatureIds */
    if ( strcmp ( argv[2], "SetAddFeatureIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAddFeatureIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAddFeatureIds */
    Tcl_DStringAppendElement ( &dString, " Set/get whether feature IDs should be generated.\n Some GDAL primitives (e.g., a polygon with a hole\n in its interior) are represented by multiple VTK\n cells. If you wish to identify the primitive\n responsible for a VTK cell, turn this on. It is\n off by default for backwards compatibility.\n The array of feature IDs will be the active\n cell-data pedigree IDs.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAddFeatureIds(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for SetAddFeatureIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAddFeatureIds */
    if ( strcmp ( argv[2], "GetAddFeatureIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAddFeatureIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAddFeatureIds */
    Tcl_DStringAppendElement ( &dString, " Set/get whether feature IDs should be generated.\n Some GDAL primitives (e.g., a polygon with a hole\n in its interior) are represented by multiple VTK\n cells. If you wish to identify the primitive\n responsible for a VTK cell, turn this on. It is\n off by default for backwards compatibility.\n The array of feature IDs will be the active\n cell-data pedigree IDs.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAddFeatureIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for GetAddFeatureIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddFeatureIdsOn */
    if ( strcmp ( argv[2], "AddFeatureIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFeatureIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFeatureIdsOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether feature IDs should be generated.\n Some GDAL primitives (e.g., a polygon with a hole\n in its interior) are represented by multiple VTK\n cells. If you wish to identify the primitive\n responsible for a VTK cell, turn this on. It is\n off by default for backwards compatibility.\n The array of feature IDs will be the active\n cell-data pedigree IDs.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddFeatureIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for AddFeatureIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddFeatureIdsOff */
    if ( strcmp ( argv[2], "AddFeatureIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFeatureIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFeatureIdsOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether feature IDs should be generated.\n Some GDAL primitives (e.g., a polygon with a hole\n in its interior) are represented by multiple VTK\n cells. If you wish to identify the primitive\n responsible for a VTK cell, turn this on. It is\n off by default for backwards compatibility.\n The array of feature IDs will be the active\n cell-data pedigree IDs.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddFeatureIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGDALVectorReader" );
    /* Closing for AddFeatureIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
