// tcl wrapper for vtkGeoJSONReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoJSONReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkGeoJSONReaderNewCommand()
{
  vtkGeoJSONReader *temp = vtkGeoJSONReader::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoJSONReaderCppCommand(vtkGeoJSONReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkGeoJSONReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkGeoJSONReaderCppCommand(static_cast<vtkGeoJSONReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoJSONReader_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoJSONReader"),vtkGeoJSONReaderNewCommand,vtkGeoJSONReaderCommand);
  return 0;
}

int VTKTCL_EXPORT vtkGeoJSONReaderCppCommand(vtkGeoJSONReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkGeoJSONReader",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkGeoJSONReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoJSONReader");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkGeoJSONReader  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoJSONReader");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkGeoJSONReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoJSONReader");
    return TCL_OK;
  }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetStringInput",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetStringInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStringInput",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetStringInput();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetStringInputMode",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetStringInputMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStringInputMode",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetStringInputMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("StringInputModeOn",argv[1]))&&(argc == 2))
  {
    op->StringInputModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("StringInputModeOff",argv[1]))&&(argc == 2))
  {
    op->StringInputModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTriangulatePolygons",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetTriangulatePolygons(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTriangulatePolygons",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetTriangulatePolygons();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("TriangulatePolygonsOn",argv[1]))&&(argc == 2))
  {
    op->TriangulatePolygonsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("TriangulatePolygonsOff",argv[1]))&&(argc == 2))
  {
    op->TriangulatePolygonsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetOutlinePolygons",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetOutlinePolygons(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOutlinePolygons",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetOutlinePolygons();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("OutlinePolygonsOn",argv[1]))&&(argc == 2))
  {
    op->OutlinePolygonsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("OutlinePolygonsOff",argv[1]))&&(argc == 2))
  {
    op->OutlinePolygonsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSerializedPropertiesArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetSerializedPropertiesArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSerializedPropertiesArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetSerializedPropertiesArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkGeoJSONReaderCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoJSONReader:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFileName\n",nullptr);
    Tcl_AppendResult(interp,"  SetStringInput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetStringInput\n",nullptr);
    Tcl_AppendResult(interp,"  SetStringInputMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetStringInputMode\n",nullptr);
    Tcl_AppendResult(interp,"  StringInputModeOn\n",nullptr);
    Tcl_AppendResult(interp,"  StringInputModeOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetTriangulatePolygons\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTriangulatePolygons\n",nullptr);
    Tcl_AppendResult(interp,"  TriangulatePolygonsOn\n",nullptr);
    Tcl_AppendResult(interp,"  TriangulatePolygonsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutlinePolygons\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutlinePolygons\n",nullptr);
    Tcl_AppendResult(interp,"  OutlinePolygonsOn\n",nullptr);
    Tcl_AppendResult(interp,"  OutlinePolygonsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSerializedPropertiesArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSerializedPropertiesArrayName\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetStringInput" );
    Tcl_DStringAppendElement ( &dString, "GetStringInput" );
    Tcl_DStringAppendElement ( &dString, "SetStringInputMode" );
    Tcl_DStringAppendElement ( &dString, "GetStringInputMode" );
    Tcl_DStringAppendElement ( &dString, "StringInputModeOn" );
    Tcl_DStringAppendElement ( &dString, "StringInputModeOff" );
    Tcl_DStringAppendElement ( &dString, "SetTriangulatePolygons" );
    Tcl_DStringAppendElement ( &dString, "GetTriangulatePolygons" );
    Tcl_DStringAppendElement ( &dString, "TriangulatePolygonsOn" );
    Tcl_DStringAppendElement ( &dString, "TriangulatePolygonsOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutlinePolygons" );
    Tcl_DStringAppendElement ( &dString, "GetOutlinePolygons" );
    Tcl_DStringAppendElement ( &dString, "OutlinePolygonsOn" );
    Tcl_DStringAppendElement ( &dString, "OutlinePolygonsOff" );
    Tcl_DStringAppendElement ( &dString, "SetSerializedPropertiesArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetSerializedPropertiesArrayName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoJSONReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoJSONReader *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Accessor for name of the file that will be opened on WriteData\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Accessor for name of the file that will be opened on WriteData\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStringInput */
    if ( strcmp ( argv[2], "SetStringInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStringInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStringInput */
    Tcl_DStringAppendElement ( &dString, " String used as data input (instead of file) when StringInputMode is enabled\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStringInput(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for SetStringInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStringInput */
    if ( strcmp ( argv[2], "GetStringInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStringInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStringInput */
    Tcl_DStringAppendElement ( &dString, " String used as data input (instead of file) when StringInputMode is enabled\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetStringInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for GetStringInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStringInputMode */
    if ( strcmp ( argv[2], "SetStringInputMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStringInputMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStringInputMode */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use StringInput instead of reading input from file\n The default is off\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStringInputMode(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for SetStringInputMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStringInputMode */
    if ( strcmp ( argv[2], "GetStringInputMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStringInputMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStringInputMode */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use StringInput instead of reading input from file\n The default is off\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetStringInputMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for GetStringInputMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: StringInputModeOn */
    if ( strcmp ( argv[2], "StringInputModeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StringInputModeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StringInputModeOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use StringInput instead of reading input from file\n The default is off\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StringInputModeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for StringInputModeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: StringInputModeOff */
    if ( strcmp ( argv[2], "StringInputModeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StringInputModeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StringInputModeOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use StringInput instead of reading input from file\n The default is off\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StringInputModeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for StringInputModeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTriangulatePolygons */
    if ( strcmp ( argv[2], "SetTriangulatePolygons" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangulatePolygons" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangulatePolygons */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to convert all output polygons to triangles.\n Note that if OutinePolygons mode is on, then no output polygons\n are generated, and in that case, this option is not relevant.\n The default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTriangulatePolygons(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for SetTriangulatePolygons */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTriangulatePolygons */
    if ( strcmp ( argv[2], "GetTriangulatePolygons" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriangulatePolygons" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriangulatePolygons */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to convert all output polygons to triangles.\n Note that if OutinePolygons mode is on, then no output polygons\n are generated, and in that case, this option is not relevant.\n The default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetTriangulatePolygons();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for GetTriangulatePolygons */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TriangulatePolygonsOn */
    if ( strcmp ( argv[2], "TriangulatePolygonsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangulatePolygonsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangulatePolygonsOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to convert all output polygons to triangles.\n Note that if OutinePolygons mode is on, then no output polygons\n are generated, and in that case, this option is not relevant.\n The default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TriangulatePolygonsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for TriangulatePolygonsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TriangulatePolygonsOff */
    if ( strcmp ( argv[2], "TriangulatePolygonsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangulatePolygonsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangulatePolygonsOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to convert all output polygons to triangles.\n Note that if OutinePolygons mode is on, then no output polygons\n are generated, and in that case, this option is not relevant.\n The default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TriangulatePolygonsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for TriangulatePolygonsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutlinePolygons */
    if ( strcmp ( argv[2], "SetOutlinePolygons" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutlinePolygons" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutlinePolygons */
    Tcl_DStringAppendElement ( &dString, " Set/get option to generate the border outlining each polygon,\n so that the output cells for polygons are vtkPolyLine instances.\n The default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutlinePolygons(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for SetOutlinePolygons */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutlinePolygons */
    if ( strcmp ( argv[2], "GetOutlinePolygons" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlinePolygons" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlinePolygons */
    Tcl_DStringAppendElement ( &dString, " Set/get option to generate the border outlining each polygon,\n so that the output cells for polygons are vtkPolyLine instances.\n The default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetOutlinePolygons();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for GetOutlinePolygons */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OutlinePolygonsOn */
    if ( strcmp ( argv[2], "OutlinePolygonsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlinePolygonsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlinePolygonsOn */
    Tcl_DStringAppendElement ( &dString, " Set/get option to generate the border outlining each polygon,\n so that the output cells for polygons are vtkPolyLine instances.\n The default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OutlinePolygonsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for OutlinePolygonsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OutlinePolygonsOff */
    if ( strcmp ( argv[2], "OutlinePolygonsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlinePolygonsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlinePolygonsOff */
    Tcl_DStringAppendElement ( &dString, " Set/get option to generate the border outlining each polygon,\n so that the output cells for polygons are vtkPolyLine instances.\n The default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OutlinePolygonsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for OutlinePolygonsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSerializedPropertiesArrayName */
    if ( strcmp ( argv[2], "SetSerializedPropertiesArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSerializedPropertiesArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSerializedPropertiesArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get name of data array for serialized GeoJSON \"properties\" node.\n If specified, data will be stored as vtkCellData/vtkStringArray.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSerializedPropertiesArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for SetSerializedPropertiesArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSerializedPropertiesArrayName */
    if ( strcmp ( argv[2], "GetSerializedPropertiesArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSerializedPropertiesArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSerializedPropertiesArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get name of data array for serialized GeoJSON \"properties\" node.\n If specified, data will be stored as vtkCellData/vtkStringArray.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetSerializedPropertiesArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONReader" );
    /* Closing for GetSerializedPropertiesArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
