// tcl wrapper for vtkGeoJSONWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoJSONWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkGeoJSONWriterNewCommand()
{
  vtkGeoJSONWriter *temp = vtkGeoJSONWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkWriterCppCommand(vtkWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoJSONWriterCppCommand(vtkGeoJSONWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkGeoJSONWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkGeoJSONWriterCppCommand(static_cast<vtkGeoJSONWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoJSONWriter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkGeoJSONWriter"),vtkGeoJSONWriterNewCommand,vtkGeoJSONWriterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkGeoJSONWriterCppCommand(vtkGeoJSONWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkGeoJSONWriter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkWriter"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkGeoJSONWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoJSONWriter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkGeoJSONWriter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoJSONWriter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkGeoJSONWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoJSONWriter");
    return TCL_OK;
  }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetWriteToOutputString",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetWriteToOutputString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetWriteToOutputString",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetWriteToOutputString();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("WriteToOutputStringOn",argv[1]))&&(argc == 2))
  {
    op->WriteToOutputStringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("WriteToOutputStringOff",argv[1]))&&(argc == 2))
  {
    op->WriteToOutputStringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetOutputStringLength",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputStringLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOutputString",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetOutputString();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetScalarFormat",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetScalarFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalarFormat",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetScalarFormat();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
  {
    vtkLookupTable  *temp0;
    error = 0;

    temp0 = (vtkLookupTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLookupTable"),interp,error));
    if (!error)
  {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
  {
    vtkLookupTable  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLookupTable");
    return TCL_OK;
  }
  if ((!strcmp("GetOutputStdString",argv[1]))&&(argc == 2))
  {
    vtkStdString   temp20;
    temp20 = (op)->GetOutputStdString();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("RegisterAndGetOutputString",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->RegisterAndGetOutputString();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkGeoJSONWriterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoJSONWriter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFileName\n",nullptr);
    Tcl_AppendResult(interp,"  SetWriteToOutputString\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetWriteToOutputString\n",nullptr);
    Tcl_AppendResult(interp,"  WriteToOutputStringOn\n",nullptr);
    Tcl_AppendResult(interp,"  WriteToOutputStringOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputStringLength\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputString\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarFormat\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarFormat\n",nullptr);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLookupTable\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputStdString\n",nullptr);
    Tcl_AppendResult(interp,"  RegisterAndGetOutputString\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    Tcl_DStringAppendElement ( &dString, "GetOutputStringLength" );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    Tcl_DStringAppendElement ( &dString, "SetScalarFormat" );
    Tcl_DStringAppendElement ( &dString, "GetScalarFormat" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetOutputStdString" );
    Tcl_DStringAppendElement ( &dString, "RegisterAndGetOutputString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoJSONWriter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoJSONWriter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Accessor for name of the file that will be opened on WriteData\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Accessor for name of the file that will be opened on WriteData\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWriteToOutputString */
    if ( strcmp ( argv[2], "SetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWriteToOutputString(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for SetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWriteToOutputString */
    if ( strcmp ( argv[2], "GetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetWriteToOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for GetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteToOutputStringOn */
    if ( strcmp ( argv[2], "WriteToOutputStringOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOn */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteToOutputStringOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for WriteToOutputStringOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteToOutputStringOff */
    if ( strcmp ( argv[2], "WriteToOutputStringOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOff */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteToOutputStringOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for WriteToOutputStringOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputStringLength */
    if ( strcmp ( argv[2], "GetOutputStringLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputStringLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputStringLength */
    Tcl_DStringAppendElement ( &dString, " When WriteToOutputString in on, then a string is allocated, written to,\n and can be retrieved with these methods.  The string is deleted during\n the next call to write ...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputStringLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for GetOutputStringLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputString */
    if ( strcmp ( argv[2], "GetOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputString */
    Tcl_DStringAppendElement ( &dString, " When WriteToOutputString in on, then a string is allocated, written to,\n and can be retrieved with these methods.  The string is deleted during\n the next call to write ...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for GetOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarFormat */
    if ( strcmp ( argv[2], "SetScalarFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarFormat */
    Tcl_DStringAppendElement ( &dString, " Controls how data attributes are written out.\n When 0, data attributes are ignored and not written at all.\n When 1, values are mapped through a lookup table and colors are written to the output.\n When 2, which is the default, the values are written directly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalarFormat(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for SetScalarFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarFormat */
    if ( strcmp ( argv[2], "GetScalarFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarFormat */
    Tcl_DStringAppendElement ( &dString, " Controls how data attributes are written out.\n When 0, data attributes are ignored and not written at all.\n When 1, values are mapped through a lookup table and colors are written to the output.\n When 2, which is the default, the values are written directly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetScalarFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for GetScalarFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Controls the lookup table to use when ValueMode is set to map colors;\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLookupTable(vtkLookupTable *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Controls the lookup table to use when ValueMode is set to map colors;\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkLookupTable *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputStdString */
    if ( strcmp ( argv[2], "GetOutputStdString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputStdString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputStdString */
    Tcl_DStringAppendElement ( &dString, " When WriteToOutputString is on, this method returns a copy of the\n output string in a vtkStdString.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetOutputStdString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for GetOutputStdString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RegisterAndGetOutputString */
    if ( strcmp ( argv[2], "RegisterAndGetOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RegisterAndGetOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RegisterAndGetOutputString */
    Tcl_DStringAppendElement ( &dString, " This convenience method returns the string, sets the IVAR to nullptr,\n so that the user is responsible for deleting the string.\n I am not sure what the name should be, so it may change in the future.\n" );
    Tcl_DStringAppendElement ( &dString, "char *RegisterAndGetOutputString();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoJSONWriter" );
    /* Closing for RegisterAndGetOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
