#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkBoostBetweennessClustering_TclCreate(Tcl_Interp *interp);
int vtkBoostBiconnectedComponents_TclCreate(Tcl_Interp *interp);
int vtkBoostBrandesCentrality_TclCreate(Tcl_Interp *interp);
int vtkBoostBreadthFirstSearch_TclCreate(Tcl_Interp *interp);
int vtkBoostBreadthFirstSearchTree_TclCreate(Tcl_Interp *interp);
int vtkBoostConnectedComponents_TclCreate(Tcl_Interp *interp);
int vtkBoostDividedEdgeBundling_TclCreate(Tcl_Interp *interp);
int vtkBoostExtractLargestComponent_TclCreate(Tcl_Interp *interp);
int vtkBoostKruskalMinimumSpanningTree_TclCreate(Tcl_Interp *interp);
int vtkBoostLogWeighting_TclCreate(Tcl_Interp *interp);
int vtkBoostPrimMinimumSpanningTree_TclCreate(Tcl_Interp *interp);
int vtkBoostRandomSparseArraySource_TclCreate(Tcl_Interp *interp);
int vtkBoostSplitTableField_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkinfovisboostgraphalgorithmstcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkinfovisboostgraphalgorithmstcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkinfovisboostgraphalgorithmstcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkinfovisboostgraphalgorithmstcl_Init(interp);
}


int VTK_EXPORT Vtkinfovisboostgraphalgorithmstcl_Init(Tcl_Interp *interp)
{

  vtkBoostBetweennessClustering_TclCreate(interp);
  vtkBoostBiconnectedComponents_TclCreate(interp);
  vtkBoostBrandesCentrality_TclCreate(interp);
  vtkBoostBreadthFirstSearch_TclCreate(interp);
  vtkBoostBreadthFirstSearchTree_TclCreate(interp);
  vtkBoostConnectedComponents_TclCreate(interp);
  vtkBoostDividedEdgeBundling_TclCreate(interp);
  vtkBoostExtractLargestComponent_TclCreate(interp);
  vtkBoostKruskalMinimumSpanningTree_TclCreate(interp);
  vtkBoostLogWeighting_TclCreate(interp);
  vtkBoostPrimMinimumSpanningTree_TclCreate(interp);
  vtkBoostRandomSparseArraySource_TclCreate(interp);
  vtkBoostSplitTableField_TclCreate(interp);
  char pkgName[]="vtkInfovisBoostGraphAlgorithmsTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
